# samples/11_camera_object_identification/opencv_consumer_interface.h File Reference

Go to the source code of this file.

## Defines

#define | OPENCV_HANDLER_OPEN_ENTRY "opencv_handler_open"
#define | OPENCV_HANDLER_CLOSE_ENTRY "opencv_handler_close"
#define | OPENCV_IMG_PROCESSING_ENTRY "opencv_img_processing"
#define | OPENCV_SET_CONFIG_ENTRY "opencv_set_config"

## Typedefs

typedef void *(* | opencv_handler_open_t )(void)
typedef void(* | opencv_handler_close_t )(void *)
typedef void(* | opencv_img_processing_t )(void *, const uint8_t *, int32_t, int32_t)
typedef void(* | opencv_set_config_t )(void *, int, void *)

## Enumerations

enum | { OPENCV_CONSUMER_CONFIG_IMGWIDTH = 0, OPENCV_CONSUMER_CONFIG_IMGHEIGHT, OPENCV_CONSUMER_CONFIG_CAFFE_MODELFILE, OPENCV_CONSUMER_CONFIG_CAFFE_TRAINEDFILE, OPENCV_CONSUMER_CONFIG_CAFFE_MEANFILE, OPENCV_CONSUMER_CONFIG_CAFFE_LABELFILE, OPENCV_CONSUMER_CONFIG_START }

## Define Documentation

#define OPENCV_HANDLER_CLOSE_ENTRY "opencv_handler_close"

Definition at line 34 of file opencv_consumer_interface.h.

#define OPENCV_HANDLER_OPEN_ENTRY "opencv_handler_open"

Definition at line 32 of file opencv_consumer_interface.h.

#define OPENCV_IMG_PROCESSING_ENTRY "opencv_img_processing"

Definition at line 36 of file opencv_consumer_interface.h.

#define OPENCV_SET_CONFIG_ENTRY "opencv_set_config"

Definition at line 38 of file opencv_consumer_interface.h.

## Typedef Documentation

typedef void(* opencv_handler_close_t)(void *)

Definition at line 35 of file opencv_consumer_interface.h.

typedef void*(* opencv_handler_open_t)(void)

Definition at line 33 of file opencv_consumer_interface.h.

typedef void(* opencv_img_processing_t)(void *, const uint8_t *, int32_t, int32_t)

Definition at line 37 of file opencv_consumer_interface.h.

typedef void(* opencv_set_config_t)(void *, int, void *)

Definition at line 39 of file opencv_consumer_interface.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  OPENCV_CONSUMER_CONFIG_IMGWIDTH |
  OPENCV_CONSUMER_CONFIG_IMGHEIGHT |
  OPENCV_CONSUMER_CONFIG_CAFFE_MODELFILE |
  OPENCV_CONSUMER_CONFIG_CAFFE_TRAINEDFILE |
  OPENCV_CONSUMER_CONFIG_CAFFE_MEANFILE |
  OPENCV_CONSUMER_CONFIG_CAFFE_LABELFILE |
  OPENCV_CONSUMER_CONFIG_START |

Definition at line 41 of file opencv_consumer_interface.h.